Skip to main content
GET
/
v2
/
customers
/
{id}
Get a customer by ID
curl --request GET \
  --url https://api.example.com/v2/customers/{id}
{
  "customer": {
    "id": "<string>",
    "organizationId": "<string>",
    "externalId": "<string>",
    "type": "BUSINESS",
    "sourceApplicationId": "<string>",
    "kybLink": "<string>",
    "kybLinkExpiration": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "business": {
    "customerId": "<string>",
    "organizationId": "<string>",
    "legalName": "<string>",
    "tradeName": "<string>",
    "registrationNumber": "<string>",
    "registeredCountry": "AFG",
    "registeredStreet1": "<string>",
    "registeredStreet2": "<string>",
    "registeredCity": "<string>",
    "registeredState": "<string>",
    "registeredZipCode": "<string>",
    "dateOfIncorporation": "<string>",
    "website": "<string>",
    "legalStructure": "Sole Proprietorship",
    "coreIndustry": "Agriculture",
    "contactEmail": "<string>",
    "contactPhone": "<string>"
  },
  "individual": {
    "id": "<string>",
    "customerId": "<string>",
    "organizationId": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "middleName": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "birthDate": "<string>",
    "nationality": "AFG",
    "governmentIdType": "PASSPORT",
    "governmentIdCountry": "AFG",
    "immigrationStatus": "Permanent U.S. Resident",
    "taxResidencyCountry": "AFG"
  },
  "features": [
    {
      "feature": "VIRTUAL_ACCOUNT",
      "isActive": true
    }
  ]
}

Path Parameters

id
string
required

Response

200 - application/json
customer
object
required
business
object
required
individual
object
required
features
object[]
required